> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 文書変更レポートをダウンロード

> Process skill によって処理された文書に関する CSV レポートを Analytics Reporting Warehouse からダウンロードします。各行には 1 つの文書について、手動確認中にfieldが修正されたか、または文書タイプが変更されたかが記載されます。列の完全なリファレンスについては、[Analytics Reporting Warehouse](/vantage/developer/reporting/analytics-reporting)を参照してください。



## OpenAPI

````yaml /ja/openapi-reporting.json get /api/reporting/v2/qa/process-skills/documents
openapi: 3.0.4
info:
  description: >-
    Vantage Reporting API は、文書処理に関する過去のデータ分析を行うためのデータを提供します。Business Processing
    Reporting Warehouse（トランザクションレベルのStepデータ）および Analytics Reporting
    Warehouse（手動確認中に行われた文書およびfieldの変更）から CSV
    レポートをダウンロードできます。データレポートをダウンロードできるのは、テナント管理者または Processing Supervisor
    のロールを持つユーザーのみです。両方のウェアハウスの概要については、[レポートサービス](/vantage/developer/reporting/reporting-service)ガイドを参照してください。
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.5.2
servers:
  - description: 本番（米国）
    url: https://vantage-us.abbyy.com
  - description: 本番（欧州）
    url: https://vantage-eu.abbyy.com
  - description: 本番（オーストラリア）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/qa/process-skills/documents:
    get:
      tags:
        - Report
      summary: 文書変更レポートをダウンロード
      description: >-
        Process skill によって処理された文書に関する CSV レポートを Analytics Reporting Warehouse
        からダウンロードします。各行には 1
        つの文書について、手動確認中にfieldが修正されたか、または文書タイプが変更されたかが記載されます。列の完全なリファレンスについては、[Analytics
        Reporting
        Warehouse](/vantage/developer/reporting/analytics-reporting)を参照してください。
      operationId: GetDocumentsAsCsv
      parameters:
        - description: トランザクション完了日の最小値
          in: query
          name: startDate
          required: true
          schema:
            type: string
        - description: トランザクション完了日の最大値
          in: query
          name: endDate
          schema:
            format: date-time
            type: string
        - description: トランザクションで使用されている Process skill の ID
          in: query
          name: processSkillId
          required: true
          schema:
            type: string
        - description: Document の画像の種類（例：レシート、名刺など）。
          in: query
          name: imageType
          schema:
            type: string
        - description: 文書の色属性（例：カラー、白黒など）。
          in: query
          name: imageColority
          schema:
            type: string
        - description: ドキュメントの取得元。例：スキャン、写真など。
          in: query
          name: imageSource
          schema:
            type: string
        - description: 手動確認で修正された文書のみ表示
          in: query
          name: wasCorrectedInManualReview
          schema:
            type: string
        - description: 手動確認でドキュメントタイプが変更されたドキュメントのみを表示
          in: query
          name: wasDocumentTypeChangedInManualReview
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                format: binary
                type: string
            text/json:
              schema:
                format: binary
                type: string
            text/plain:
              example: >-
                ProcessSkillId,ProcessSkillName,TransactionId,HasManualReview,DocumentId,DocumentName,ImageSource,DocumentSkillChanged,NumberOfExportedFields,NumberOfChangedFields

                9f0b2a1c-...,Invoice
                Processing,6d7e9eeb-...,1,c4a01f7d-...,Invoice CA_2.pdf,PDF
                file,false,12,2
              schema:
                format: binary
                type: string
          description: >-
            文書変更レポートを、ヘッダー行を含む CSV ファイルとして返します。各行には、処理された 1
            つの文書が記載されます。以下の例は列の一部を示しています。列の完全なリファレンスについては、[Analytics Reporting
            Warehouse](/vantage/developer/reporting/analytics-reporting)を参照してください。
components:
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
      type: oauth2

````